import { BadgePositions, Colors, Shapes, TextColors } from '../coreui.types';
import * as i0 from "@angular/core";
import * as i1 from "../utilities/text-color.directive";
import * as i2 from "../utilities/text-bg-color.directive";
export declare class BadgeComponent {
    /**
     * Sets the color context of the component to one of CoreUI’s themed colors.
     * @type Colors
     */
    color?: Colors;
    /**
     * Position badge in one of the corners of a link or button.
     * @type BadgePositions
     */
    position?: BadgePositions;
    /**
     * Select the shape of the component.
     * @type Shapes
     */
    shape?: Shapes;
    /**
     * Size the component small.
     */
    size?: 'sm';
    /**
     * Sets the text color of the component to one of CoreUI’s themed colors.
     * via TextColorDirective
     * @type TextColors
     */
    textColor?: TextColors;
    /**
     * Sets the component's color scheme to one of CoreUI's themed colors, ensuring the text color contrast adheres to the WCAG 4.5:1 contrast ratio standard for accessibility.
     * via TextBgColorDirective
     * @type Colors
     * @since 5.0.0
     */
    textBgColor?: Colors;
    get hostClasses(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<BadgeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BadgeComponent, "c-badge", never, { "color": { "alias": "color"; "required": false; }; "position": { "alias": "position"; "required": false; }; "shape": { "alias": "shape"; "required": false; }; "size": { "alias": "size"; "required": false; }; "textColor": { "alias": "textColor"; "required": false; }; "textBgColor": { "alias": "textBgColor"; "required": false; }; }, {}, never, ["*"], true, [{ directive: typeof i1.TextColorDirective; inputs: { "cTextColor": "textColor"; }; outputs: {}; }, { directive: typeof i2.TextBgColorDirective; inputs: { "cTextBgColor": "textBgColor"; }; outputs: {}; }]>;
}
