import { Colors, TextColors } from '../coreui.types';
import * as i0 from "@angular/core";
import * as i1 from "../utilities/text-color.directive";
import * as i2 from "../utilities/text-bg-color.directive";
export declare class CardComponent {
    /**
     * Sets the color context of the component to one of CoreUI’s themed colors.
     * @type Colors
     */
    color?: Colors;
    /**
     * Sets the text color context of the component to one of CoreUI’s themed colors.
     * via TextColorDirective
     * @type TextColors
     */
    textColor?: TextColors;
    /**
     * Sets the component's color scheme to one of CoreUI's themed colors, ensuring the text color contrast adheres to the WCAG 4.5:1 contrast ratio standard for accessibility.
     * via TextBgColorDirective
     * @type Colors
     * @since 5.0.0
     */
    textBgColor?: Colors;
    get hostClasses(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<CardComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CardComponent, "c-card, [c-card]", never, { "color": { "alias": "color"; "required": false; }; "textColor": { "alias": "textColor"; "required": false; }; "textBgColor": { "alias": "textBgColor"; "required": false; }; }, {}, never, ["*"], true, [{ directive: typeof i1.TextColorDirective; inputs: { "cTextColor": "textColor"; }; outputs: {}; }, { directive: typeof i2.TextBgColorDirective; inputs: { "cTextBgColor": "textBgColor"; }; outputs: {}; }]>;
}
