import { AfterViewInit, DoCheck, ElementRef, EventEmitter, OnChanges, OnDestroy, Renderer2, SimpleChanges } from '@angular/core';
import { AnimationBuilder } from '@angular/animations';
import * as i0 from "@angular/core";
export declare class CollapseDirective implements OnChanges, OnDestroy, DoCheck, AfterViewInit {
    private hostElement;
    private renderer;
    private animationBuilder;
    /**
     * @ignore
     */
    animate: boolean;
    /**
     * Set horizontal collapsing to transition the width instead of height.
     * @type boolean
     * @default false
     */
    horizontal: boolean;
    /**
     * Toggle the visibility of collapsible element.
     * @type boolean
     * @default false
     */
    set visible(value: boolean);
    get visible(): boolean;
    private _visible;
    /**
     * Add `navbar` prop for grouping and hiding navbar contents by a parent breakpoint.
     * @type boolean
     * @default false
     */
    navbar: boolean;
    /**
     * @ignore
     */
    duration: string;
    /**
     * @ignore
     */
    transition: string;
    /**
     * Event emitted on visibility change. [docs]
     * @type string
     */
    collapseChange: EventEmitter<string>;
    private player;
    private readonly host;
    private scrollWidth;
    private collapsing;
    constructor(hostElement: ElementRef, renderer: Renderer2, animationBuilder: AnimationBuilder);
    get hostClasses(): any;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngDoCheck(): void;
    toggle(visible?: boolean): void;
    destroyPlayer(): void;
    createPlayer(visible?: boolean): void;
    setMaxSize(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CollapseDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<CollapseDirective, "[cCollapse]", ["cCollapse"], { "animate": { "alias": "animate"; "required": false; }; "horizontal": { "alias": "horizontal"; "required": false; }; "visible": { "alias": "visible"; "required": false; }; "navbar": { "alias": "navbar"; "required": false; }; "duration": { "alias": "duration"; "required": false; }; "transition": { "alias": "transition"; "required": false; }; }, { "collapseChange": "collapseChange"; }, never, never, true, never>;
    static ngAcceptInputType_animate: unknown;
    static ngAcceptInputType_horizontal: unknown;
    static ngAcceptInputType_visible: unknown;
    static ngAcceptInputType_navbar: unknown;
}
